Web lists-archives.com

Re: [Samba] Samba supported TLS versions




On Tue, 16 Apr 2019 15:09:26 +0200
Trenta sis via samba <samba@xxxxxxxxxxxxxxx> wrote:

> Hi,
> 
> I know that is an old versions, but I need to know from what versions
> tls 1.2 is supported
> Thanks
> 
> Missatge de Trenta sis <trenta.sis@xxxxxxxxx> del dia dt., 16 d’abr.
> 2019 a les 14:49:
> >
> > Hi,
> >
> > I have searched and not found waht tls versions are supported with
> > samba 4.4.5 as AD. IS tls 1.2 supported with samba 4.4? If not what
> > version?
> >
> > Thanks  
> 

First, if possible, stop using 4.4.x

Second, read this:

https://wiki.samba.org/index.php/Samba_4.3_Features_added/changed#Configurable_TLS_protocol_support.2C_with_better_defaults

Which shows that by default SSLv3 is disabled from 4.3.0

And read 'man smb.conf' which explains the 'tls priority' option

Also read this:

https://gnutls.org/manual/html_node/Priority-Strings.html

Which shows what TLS options are supported.

Rowland

-- 
To unsubscribe from this list go to the following URL and read the
instructions:  https://lists.samba.org/mailman/options/samba